<!DOCTYPE html>
<html xmlns:th="http://www.w3.org/1999/xhtml" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    ...
</head>
<body>
<div th:fragment="videoFileTable">

    <table class="table">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Id</th>
            <th scope="col">Filename</th>
            <th scope="col">Path</th>
            <th scope="col">Duration</th>
            <th scope="col">Size</th>
            <th scope="col">Track type</th>
            <th scope="col">Description</th>
            <th scope="col">Synchronized</th>
            <th scope="col">Created</th>
            <th scope="col">Created at</th>
            <th scope="col"></th>
        </tr>
        </thead>
        <tbody>
        <tr th:if="${videofiles.isEmpty()}">
            <td scope="row"> No videofiles to be displayed</td>
        </tr>
        <tr th:each="videofile : ${videofiles}">
            <td scope="row"><span th:text="${videofile.getId()}"> Id </span></td>
            <td><span th:text="${videofile.getFilename()}"> name </span></td>
            <td><span th:text="${videofile.filepath}"> path </span></td>
            <td><span th:text="${videofile.duration}"> duration </span></td>
            <td><span th:text="${videofile.fileSize}"> size </span></td>
            <td><span th:text="${videofile.videoFileType}"> videoFileType </span></td>
            <td><span th:text="${videofile.description}"> description</span></td>
            <td><span th:text="${videofile.clientSynchronized}"> synchronized </span></td>
            <td><span th:text="${videofile.createdByUsername}"> created by </span></td>
            <td><span th:text="${videofile.getCreatedCet()}"> created </span></td>
            <td>
                <div class="dropdown show">
                    <a class="btn btn-secondary dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                       data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Action
                    </a>

                    <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                        <a class="dropdown-item"
                           th:href="@{'/file/download/' + ${videofile.getId()}}">Download
                        </a>
                        <button class="dropdown-item videofile-delete"
                           th:value="${videofile.getId()}">Delete
                        </button>
                    </div>
                </div>
            </td>
        </tr>
        </tbody>
    </table>
</div>

</body>
</html>